com.atlassian.clover.api.registry

## Interface ProjectInfo

- All Superinterfaces:
    EntityContainer, HasContextFilter, HasMetrics, HasPackages

      public interface ProjectInfo
      extends EntityContainer, HasPackages, HasContextFilter, HasMetrics

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassInfo` | `findClass(java.lang.String fullyQualifiedName)` Searches and returns a class having the specified fully qualified name
    `FileInfo` | `findFile(java.lang.String pkgPath)` Searches and returns a file at the specified relative path.
    `java.lang.String` | `getName()` Returns name of the project
    `boolean` | `isEmpty()` Returns true if project is empty.

    - ### Methods inherited from interface com.atlassian.clover.api.registry.EntityContainer

      `visit`

    - ### Methods inherited from interface com.atlassian.clover.api.registry.HasPackages

      `findPackage, getAllPackages`

    - ### Methods inherited from interface com.atlassian.clover.api.registry.HasContextFilter

      `getContextFilter`

    - ### Methods inherited from interface com.atlassian.clover.api.registry.HasMetrics

      `getMetrics, getRawMetrics, setMetrics`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns name of the project
      Specified by:
        `getName` in interface `HasMetrics`
      Returns:
        String project name or `null`

    - #### isEmpty

          boolean isEmpty()

      Returns true if project is empty.
      Returns:
        boolean - true if getAllPackages() is empty

    - #### findClass

          ClassInfo findClass(java.lang.String fullyQualifiedName)

      Searches and returns a class having the specified fully qualified name
      Parameters:
        `fullyQualifiedName` - a class name with its package
      Returns:
        ClassInfo specified class or `null` if not found

    - #### findFile

          FileInfo findFile(java.lang.String pkgPath)

      Searches and returns a file at the specified relative path. For example: `com/acme/Foo.java`
      Parameters:
        `pkgPath` - file name prefixed by a package path
      Returns:
        FileInfo specified file or `null` if not found